Dancer::Serializer::XML(3pm)

NAME
Dancer::Serializer::XML - serializer for handling XML data

VERSION
version 1.3522

SYNOPSIS

DESCRIPTION

  METHODS

  serialize
Serialize a data structure to an XML structure.

  deserialize
Deserialize an XML structure to a data structure

  content_type
Return 'text/xml'

  CONFIG FILE
You can set XML::Simple options for serialize and deserialize in the config file:

   engines:
      XMLSerializer:
        serialize:
           AttrIndent: 1
        deserialize:
           ForceArray: 1

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.